require '_h2ph_pre.ph';

unless(defined(&_LIBC_LIMITS_H_)) {
    eval "\n#line 1 limits.ph\n" . 'sub _LIBC_LIMITS_H_ () {1;}' unless defined(&_LIBC_LIMITS_H_);
    require 'features.ph';
    eval "\n#line 2 limits.ph\n" . 'sub MB_LEN_MAX () {16;}' unless defined(&MB_LEN_MAX);
    if(!defined (defined(&__GNUC__) ? &__GNUC__ : 0) || (defined(&__GNUC__) ? &__GNUC__ : 0) < 2) {
	unless(defined(&_LIMITS_H)) {
	    eval "\n#line 3 limits.ph\n" . 'sub _LIMITS_H () {1;}' unless defined(&_LIMITS_H);
	    require 'bits/wordsize.ph';
	    eval "\n#line 4 limits.ph\n" . 'sub CHAR_BIT () {8;}' unless defined(&CHAR_BIT);
	    eval "\n#line 5 limits.ph\n" . 'sub SCHAR_MIN () {(-128);}' unless defined(&SCHAR_MIN);
	    eval "\n#line 6 limits.ph\n" . 'sub SCHAR_MAX () {127;}' unless defined(&SCHAR_MAX);
	    eval "\n#line 7 limits.ph\n" . 'sub UCHAR_MAX () {255;}' unless defined(&UCHAR_MAX);
	    if(defined(&__CHAR_UNSIGNED__)) {
		eval "\n#line 8 limits.ph\n" . 'sub CHAR_MIN () {0;}' unless defined(&CHAR_MIN);
		eval "\n#line 9 limits.ph\n" . 'sub CHAR_MAX () { &UCHAR_MAX;}' unless defined(&CHAR_MAX);
	    } else {
		eval "\n#line 10 limits.ph\n" . 'sub CHAR_MIN () { &SCHAR_MIN;}' unless defined(&CHAR_MIN);
		eval "\n#line 11 limits.ph\n" . 'sub CHAR_MAX () { &SCHAR_MAX;}' unless defined(&CHAR_MAX);
	    }
	    eval "\n#line 12 limits.ph\n" . 'sub SHRT_MIN () {(-32768);}' unless defined(&SHRT_MIN);
	    eval "\n#line 13 limits.ph\n" . 'sub SHRT_MAX () {32767;}' unless defined(&SHRT_MAX);
	    eval "\n#line 14 limits.ph\n" . 'sub USHRT_MAX () {65535;}' unless defined(&USHRT_MAX);
	    eval "\n#line 15 limits.ph\n" . 'sub INT_MIN () {(- &INT_MAX - 1);}' unless defined(&INT_MIN);
	    eval "\n#line 16 limits.ph\n" . 'sub INT_MAX () {2147483647;}' unless defined(&INT_MAX);
	    eval "\n#line 17 limits.ph\n" . 'sub UINT_MAX () {4294967295;}' unless defined(&UINT_MAX);
	    if((defined(&__WORDSIZE) ? &__WORDSIZE : 0) == 64) {
		eval "\n#line 18 limits.ph\n" . 'sub LONG_MAX () {9223372036854775807;}' unless defined(&LONG_MAX);
	    } else {
		eval "\n#line 19 limits.ph\n" . 'sub LONG_MAX () {2147483647;}' unless defined(&LONG_MAX);
	    }
	    eval "\n#line 20 limits.ph\n" . 'sub LONG_MIN () {(- &LONG_MAX - 1);}' unless defined(&LONG_MIN);
	    if((defined(&__WORDSIZE) ? &__WORDSIZE : 0) == 64) {
		eval "\n#line 21 limits.ph\n" . 'sub ULONG_MAX () {18446744073709551615;}' unless defined(&ULONG_MAX);
	    } else {
		eval "\n#line 22 limits.ph\n" . 'sub ULONG_MAX () {4294967295;}' unless defined(&ULONG_MAX);
	    }
	    if(defined(&__USE_ISOC99)) {
		eval "\n#line 23 limits.ph\n" . 'sub LLONG_MAX () {9223372036854775807;}' unless defined(&LLONG_MAX);
		eval "\n#line 24 limits.ph\n" . 'sub LLONG_MIN () {(- &LLONG_MAX - 1);}' unless defined(&LLONG_MIN);
		eval "\n#line 25 limits.ph\n" . 'sub ULLONG_MAX () {18446744073709551615;}' unless defined(&ULLONG_MAX);
	    }
	}
    }
}
if(defined (defined(&__GNUC__) ? &__GNUC__ : 0)  && !defined (defined(&_GCC_LIMITS_H_) ? &_GCC_LIMITS_H_ : 0)) {
    eval {
	my(%INCD) = map { $INC{$_} => 1 } (grep { $_ eq "limits.ph" } keys(%INC));
	my(@REM) = map { "$_/limits.ph" } (grep { not exists($INCD{"$_/limits.ph"})and -f "$_/limits.ph" } @INC);
	require "$REM[0]" if @REM;
    };
    warn($@) if $@;
    if(defined(&__USE_ISOC99)) {
	unless(defined(&LLONG_MIN)) {
	    eval "\n#line 26 limits.ph\n" . 'sub LLONG_MIN () { &LONG_LONG_MIN;}' unless defined(&LLONG_MIN);
	}
	unless(defined(&LLONG_MAX)) {
	    eval "\n#line 27 limits.ph\n" . 'sub LLONG_MAX () { &LONG_LONG_MAX;}' unless defined(&LLONG_MAX);
	}
	unless(defined(&ULLONG_MAX)) {
	    eval "\n#line 28 limits.ph\n" . 'sub ULLONG_MAX () { &ULONG_LONG_MAX;}' unless defined(&ULLONG_MAX);
	}
    }
}
if(defined(&__USE_POSIX)) {
    require 'bits/posix1_lim.ph';
}
if(defined(&__USE_POSIX2)) {
    require 'bits/posix2_lim.ph';
}
if(defined(&__USE_XOPEN)) {
    require 'bits/xopen_lim.ph';
}
1;
