require '_h2ph_pre.ph';

unless(defined(&_SYS_CDEFS_H)) {
    eval "\n#line 1 sys/cdefs.ph\n" . 'sub _SYS_CDEFS_H () {1;}' unless defined(&_SYS_CDEFS_H);
    unless(defined(&_FEATURES_H)) {
	require 'features.ph';
    }
    if(defined (defined(&__GNUC__) ? &__GNUC__ : 0)  && !defined (defined(&__STDC__) ? &__STDC__ : 0)) {
	die("You need a ISO C conforming compiler to use the glibc headers");
    }
    undef(&__P) if defined(&__P);
    undef(&__PMT) if defined(&__PMT);
    if(defined(&__GNUC__)) {
	if(defined (defined(&__cplusplus) ? &__cplusplus : 0)  &&  &__GNUC_PREREQ (2,8)) {
	    eval "\n#line 2 sys/cdefs.ph\n" . 'sub __THROW () { &throw ();}' unless defined(&__THROW);
	} else {
	    eval "\n#line 3 sys/cdefs.ph\n" . 'sub __THROW () {1;}' unless defined(&__THROW);
	}
	eval "\n#line 4 sys/cdefs.ph\n" . 'sub __P {
	    local($args) = @_;
    	    eval q($args  &__THROW);
	}' unless defined(&__P);
	eval "\n#line 5 sys/cdefs.ph\n" . 'sub __PMT {
	    local($args) = @_;
    	    eval q($args);
	}' unless defined(&__PMT);
    } else {
	eval "\n#line 6 sys/cdefs.ph\n" . 'sub __inline () {1;}' unless defined(&__inline);
	eval "\n#line 7 sys/cdefs.ph\n" . 'sub __THROW () {1;}' unless defined(&__THROW);
	eval "\n#line 8 sys/cdefs.ph\n" . 'sub __P {
	    local($args) = @_;
    	    eval q($args);
	}' unless defined(&__P);
	eval "\n#line 9 sys/cdefs.ph\n" . 'sub __PMT {
	    local($args) = @_;
    	    eval q($args);
	}' unless defined(&__PMT);
	eval "\n#line 10 sys/cdefs.ph\n" . 'sub __const () { &const;}' unless defined(&__const);
	eval "\n#line 11 sys/cdefs.ph\n" . 'sub __signed () {\'signed\';}' unless defined(&__signed);
	eval "\n#line 12 sys/cdefs.ph\n" . 'sub __volatile () { &volatile;}' unless defined(&__volatile);
    }
    eval "\n#line 13 sys/cdefs.ph\n" . 'sub __CONCAT {
        local($x,$y) = @_;
	    eval q($x  $y);
    }' unless defined(&__CONCAT);
    eval "\n#line 14 sys/cdefs.ph\n" . 'sub __STRING {
        local($x) = @_;
	    eval q($x);
    }' unless defined(&__STRING);
    eval "\n#line 15 sys/cdefs.ph\n" . 'sub __ptr_t () { &void *;}' unless defined(&__ptr_t);
    eval "\n#line 16 sys/cdefs.ph\n" . 'sub __long_double_t () {\'long double\';}' unless defined(&__long_double_t);
    if(defined(&__cplusplus)) {
	eval "\n#line 17 sys/cdefs.ph\n" . 'sub __BEGIN_DECLS () { &extern "C" {;}' unless defined(&__BEGIN_DECLS);
	eval "\n#line 18 sys/cdefs.ph\n" . 'sub __END_DECLS () {};}' unless defined(&__END_DECLS);
    } else {
	eval "\n#line 19 sys/cdefs.ph\n" . 'sub __BEGIN_DECLS () {1;}' unless defined(&__BEGIN_DECLS);
	eval "\n#line 20 sys/cdefs.ph\n" . 'sub __END_DECLS () {1;}' unless defined(&__END_DECLS);
    }
    unless(defined(&__BOUNDED_POINTERS__)) {
	eval "\n#line 21 sys/cdefs.ph\n" . 'sub __bounded () {1;}' unless defined(&__bounded);
	eval "\n#line 22 sys/cdefs.ph\n" . 'sub __unbounded () {1;}' unless defined(&__unbounded);
	eval "\n#line 23 sys/cdefs.ph\n" . 'sub __ptrvalue () {1;}' unless defined(&__ptrvalue);
    }
    if( &__GNUC_PREREQ (2,97)) {
	eval "\n#line 24 sys/cdefs.ph\n" . 'sub __flexarr () {[];}' unless defined(&__flexarr);
    } else {
	if(defined(&__GNUC__)) {
	    eval "\n#line 25 sys/cdefs.ph\n" . 'sub __flexarr () {[0];}' unless defined(&__flexarr);
	} else {
	    if(defined (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901) {
		eval "\n#line 26 sys/cdefs.ph\n" . 'sub __flexarr () {[];}' unless defined(&__flexarr);
	    } else {
		eval "\n#line 27 sys/cdefs.ph\n" . 'sub __flexarr () {[1];}' unless defined(&__flexarr);
	    }
	}
    }
    if(defined (defined(&__GNUC__) ? &__GNUC__ : 0)  && (defined(&__GNUC__) ? &__GNUC__ : 0) >= 2) {
	eval "\n#line 28 sys/cdefs.ph\n" . 'sub __REDIRECT {
	    local($name, $proto, $alias) = @_;
    	    eval q($name $proto  &__asm__ ( &__ASMNAME ($alias)));
	}' unless defined(&__REDIRECT);
	eval "\n#line 29 sys/cdefs.ph\n" . 'sub __ASMNAME {
	    local($cname) = @_;
    	    eval q( &__ASMNAME2 ( &__USER_LABEL_PREFIX__, $cname));
	}' unless defined(&__ASMNAME);
	eval "\n#line 30 sys/cdefs.ph\n" . 'sub __ASMNAME2 {
	    local($prefix, $cname) = @_;
    	    eval q( &__STRING $cname);
	}' unless defined(&__ASMNAME2);
    }
    if(!defined (defined(&__GNUC__) ? &__GNUC__ : 0) || (defined(&__GNUC__) ? &__GNUC__ : 0) < 2) {
	eval "\n#line 31 sys/cdefs.ph\n" . 'sub __attribute__ {
	    local($xyz) = @_;
    	    eval q();
	}' unless defined(&__attribute__);
    }
    if( &__GNUC_PREREQ (2,96)) {
	eval "\n#line 32 sys/cdefs.ph\n" . 'sub __attribute_malloc__ () { &__attribute__ (( &__malloc__));}' unless defined(&__attribute_malloc__);
    } else {
	eval "\n#line 33 sys/cdefs.ph\n" . 'sub __attribute_malloc__ () {1;}' unless defined(&__attribute_malloc__);
    }
    if( &__GNUC_PREREQ (2,96)) {
	eval "\n#line 34 sys/cdefs.ph\n" . 'sub __attribute_pure__ () { &__attribute__ (( &__pure__));}' unless defined(&__attribute_pure__);
    } else {
	eval "\n#line 35 sys/cdefs.ph\n" . 'sub __attribute_pure__ () {1;}' unless defined(&__attribute_pure__);
    }
    if( &__GNUC_PREREQ (3,1)) {
	eval "\n#line 36 sys/cdefs.ph\n" . 'sub __attribute_used__ () { &__attribute__ (( &__used__));}' unless defined(&__attribute_used__);
    } else {
	eval "\n#line 37 sys/cdefs.ph\n" . 'sub __attribute_used__ () { &__attribute__ (( &__unused__));}' unless defined(&__attribute_used__);
    }
    if( &__GNUC_PREREQ (2,8)) {
	eval "\n#line 38 sys/cdefs.ph\n" . 'sub __attribute_format_arg__ {
	    local($x) = @_;
    	    eval q( &__attribute__ (( &__format_arg__ ($x))));
	}' unless defined(&__attribute_format_arg__);
    } else {
	eval "\n#line 39 sys/cdefs.ph\n" . 'sub __attribute_format_arg__ {
	    local($x) = @_;
    	    eval q();
	}' unless defined(&__attribute_format_arg__);
    }
    if( &__GNUC_PREREQ (2,97)) {
	eval "\n#line 40 sys/cdefs.ph\n" . 'sub __attribute_format_strfmon__ {
	    local($a,$b) = @_;
    	    eval q( &__attribute__ (( &__format__ ( &__strfmon__, $a, $b))));
	}' unless defined(&__attribute_format_strfmon__);
    } else {
	eval "\n#line 41 sys/cdefs.ph\n" . 'sub __attribute_format_strfmon__ {
	    local($a,$b) = @_;
    	    eval q();
	}' unless defined(&__attribute_format_strfmon__);
    }
    if(! &__GNUC_PREREQ (2,8)) {
	eval "\n#line 42 sys/cdefs.ph\n" . 'sub __extension__ () {1;}' unless defined(&__extension__);
    }
    if(! &__GNUC_PREREQ (2,92)) {
	eval "\n#line 43 sys/cdefs.ph\n" . 'sub __restrict () {1;}' unless defined(&__restrict);
    }
    if( &__GNUC_PREREQ (3,1)  && !defined (defined(&__GNUG__) ? &__GNUG__ : 0)) {
	eval "\n#line 44 sys/cdefs.ph\n" . 'sub __restrict_arr () { &__restrict;}' unless defined(&__restrict_arr);
    } else {
	if(defined(&__GNUC__)) {
	    eval "\n#line 45 sys/cdefs.ph\n" . 'sub __restrict_arr () {1;}' unless defined(&__restrict_arr);
	} else {
	    if(defined (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901) {
		eval "\n#line 46 sys/cdefs.ph\n" . 'sub __restrict_arr () { &restrict;}' unless defined(&__restrict_arr);
	    } else {
		eval "\n#line 47 sys/cdefs.ph\n" . 'sub __restrict_arr () {1;}' unless defined(&__restrict_arr);
	    }
	}
    }
}
1;
