require '_h2ph_pre.ph';

unless(defined(&_TGMATH_H)) {
    eval "\n#line 1 tgmath.ph\n" . 'sub _TGMATH_H () {1;}' unless defined(&_TGMATH_H);
    require 'math.ph';
    require 'complex.ph';
    if( &__GNUC_PREREQ (2, 7)) {
	if(defined(&__NO_LONG_DOUBLE_MATH)) {
	    eval "\n#line 2 tgmath.ph\n" . 'sub __tgml {
	        local($fct) = @_;
    		eval q($fct);
	    }' unless defined(&__tgml);
	} else {
	    eval "\n#line 3 tgmath.ph\n" . 'sub __tgml {
	        local($fct) = @_;
    		eval q($fct   &l);
	    }' unless defined(&__tgml);
	}
	eval "\n#line 4 tgmath.ph\n" . 'sub __floating_type {
	    local($type) = @_;
    	    eval q((( 0.25)  && ( 0.25- 1)));
	}' unless defined(&__floating_type);
	eval "\n#line 5 tgmath.ph\n" . 'sub __tgmath_real_type_sub {
	    local($T, $E) = @_;
    	    eval q( &__typeof__(*(0? ( &__typeof__ (0? 0: )) 0: ( &__typeof__ (0? 0: (!($E)))) 0)));
	}' unless defined(&__tgmath_real_type_sub);
	eval "\n#line 6 tgmath.ph\n" . 'sub __tgmath_real_type {
	    local($expr) = @_;
    	    eval q( &__tgmath_real_type_sub( &__typeof__($expr),  &__floating_type( &__typeof__($expr))));
	}' unless defined(&__tgmath_real_type);
	eval "\n#line 7 tgmath.ph\n" . 'sub __TGMATH_UNARY_REAL_ONLY {
	    local($Val, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type  &__tgmres;  &if ( &sizeof ==  &sizeof ||  &__builtin_classify_type != 8)  &__tgmres = $Fct ;  &else  &if ( &sizeof ==  &sizeof )  &__tgmres = $Fct &f ;  &else  &__tgmres =  &__tgml ($Val);  &__tgmres; })));
	}' unless defined(&__TGMATH_UNARY_REAL_ONLY);
	eval "\n#line 8 tgmath.ph\n" . 'sub __TGMATH_BINARY_FIRST_REAL_ONLY {
	    local($Val1, $Val2, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type  &__tgmres;  &if ( &sizeof ==  &sizeof ||  &__builtin_classify_type != 8)  &__tgmres = $Fct ($Val1, $Val2);  &else  &if ( &sizeof ==  &sizeof )  &__tgmres = $Fct &f ($Val1, $Val2);  &else  &__tgmres =  &__tgml ($Val1, $Val2);  &__tgmres; })));
	}' unless defined(&__TGMATH_BINARY_FIRST_REAL_ONLY);
	eval "\n#line 9 tgmath.ph\n" . 'sub __TGMATH_BINARY_REAL_ONLY {
	    local($Val1, $Val2, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type ( + )  &__tgmres;  &if (( &sizeof >  &sizeof ||  &sizeof >  &sizeof )  &&  &__builtin_classify_type ( + ) == 8)  &__tgmres =  &__tgml ($Val1, $Val2);  &else  &if ($sizeof{$Val1} == $sizeof{ &double} || $sizeof{$Val2} == $sizeof{ &double} ||  &__builtin_classify_type ($Val1) != 8||  &__builtin_classify_type ($Val2) != 8)  &__tgmres = $Fct ($Val1, $Val2);  &else  &__tgmres = $Fct &f ($Val1, $Val2);  &__tgmres; })));
	}' unless defined(&__TGMATH_BINARY_REAL_ONLY);
	eval "\n#line 10 tgmath.ph\n" . 'sub __TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY {
	    local($Val1, $Val2, $Val3, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type ( + )  &__tgmres;  &if (( &sizeof >  &sizeof ||  &sizeof >  &sizeof )  &&  &__builtin_classify_type ( + ) == 8)  &__tgmres =  &__tgml ($Val1, $Val2, $Val3);  &else  &if ($sizeof{$Val1} == $sizeof{ &double} || $sizeof{$Val2} == $sizeof{ &double} ||  &__builtin_classify_type ($Val1) != 8||  &__builtin_classify_type ($Val2) != 8)  &__tgmres = $Fct ($Val1, $Val2, $Val3);  &else  &__tgmres = $Fct &f ($Val1, $Val2, $Val3);  &__tgmres; })));
	}' unless defined(&__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY);
	eval "\n#line 11 tgmath.ph\n" . 'sub __TGMATH_TERNARY_REAL_ONLY {
	    local($Val1, $Val2, $Val3, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type ( + + )  &__tgmres;  &if (( &sizeof >  &sizeof ||  &sizeof >  &sizeof ||  &sizeof >  &sizeof )  &&  &__builtin_classify_type ( + + ) == 8)  &__tgmres =  &__tgml ($Val1, $Val2, $Val3);  &else  &if ($sizeof{$Val1} == $sizeof{ &double} || $sizeof{$Val2} == $sizeof{ &double} || $sizeof{$Val3} == $sizeof{ &double} ||  &__builtin_classify_type ($Val1) != 8||  &__builtin_classify_type ($Val2) != 8||  &__builtin_classify_type ($Val3) != 8)  &__tgmres = $Fct ($Val1, $Val2, $Val3);  &else  &__tgmres = $Fct &f ($Val1, $Val2, $Val3);  &__tgmres; })));
	}' unless defined(&__TGMATH_TERNARY_REAL_ONLY);
	eval "\n#line 12 tgmath.ph\n" . 'sub __TGMATH_UNARY_REAL_IMAG {
	    local($Val, $Fct, $Cfct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type  &__tgmres;  &if ( &sizeof >  &sizeof  &&  &__builtin_classify_type == 8) {  &if ( &sizeof ==  &sizeof )  &__tgmres =  &__tgml ;  &else  &__tgmres =  &__tgml ($Val); }  &else  &if ($sizeof{ &__real__ ($Val)} == $sizeof{ &double} ||  &__builtin_classify_type ( &__real__ ($Val)) != 8) {  &if ($sizeof{ &__real__ ($Val)} == $sizeof{$Val})  &__tgmres = $Fct ($Val);  &else  &__tgmres = $Cfct ($Val); }  &else {  &if ($sizeof{ &__real__ ($Val)} == $sizeof{$Val})  &__tgmres = $Fct &f ($Val);  &else  &__tgmres = $Cfct &f ($Val); }  &__tgmres; })));
	}' unless defined(&__TGMATH_UNARY_REAL_IMAG);
	eval "\n#line 13 tgmath.ph\n" . 'sub __TGMATH_UNARY_IMAG_ONLY {
	    local($Val, $Fct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type  &__tgmres;  &if ( &sizeof ==  &sizeof ||  &__builtin_classify_type != 8)  &__tgmres = $Fct ;  &else  &if ( &sizeof ==  &sizeof )  &__tgmres = $Fct &f ;  &else  &__tgmres =  &__tgml ($Val);  &__tgmres; })));
	}' unless defined(&__TGMATH_UNARY_IMAG_ONLY);
	eval "\n#line 14 tgmath.ph\n" . 'sub __TGMATH_BINARY_REAL_IMAG {
	    local($Val1, $Val2, $Fct, $Cfct) = @_;
    	    eval q(( &__extension__ ({  &__tgmath_real_type ( + )  &__tgmres;  &if (( &sizeof >  &sizeof ||  &sizeof >  &sizeof )  &&  &__builtin_classify_type ( &__real__ +  &__real__ ) == 8) {  &if ( &sizeof ==  &sizeof  &&  &sizeof ==  &sizeof )  &__tgmres =  &__tgml ($Val1, $Val2);  &else  &__tgmres =  &__tgml ($Val1, $Val2); }  &else  &if ($sizeof{ &__real__ ($Val1)} == $sizeof{ &double} || $sizeof{ &__real__ ($Val2)} == $sizeof{ &double} || ( &__builtin_classify_type ( &__real__ ($Val1)) != 8) || ( &__builtin_classify_type ( &__real__ ($Val2)) != 8)) {  &if ($sizeof{ &__real__ ($Val1)} == $sizeof{$Val1}  && $sizeof{ &__real__ ($Val2)} == $sizeof{$Val2})  &__tgmres = $Fct ($Val1, $Val2);  &else  &__tgmres = $Cfct ($Val1, $Val2); }  &else {  &if ($sizeof{ &__real__ ($Val1)} == $sizeof{$Val1}  && $sizeof{ &__real__ ($Val2)} == $sizeof{$Val2})  &__tgmres = $Fct &f ($Val1, $Val2);  &else  &__tgmres = $Cfct &f ($Val1, $Val2); }  &__tgmres; })));
	}' unless defined(&__TGMATH_BINARY_REAL_IMAG);
    } else {
	die("Unsupported compiler; you cannot use <tgmath.h>");
    }
    eval "\n#line 15 tgmath.ph\n" . 'sub acos {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &acos,  &cacos));
    }' unless defined(&acos);
    eval "\n#line 16 tgmath.ph\n" . 'sub asin {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &asin,  &casin));
    }' unless defined(&asin);
    eval "\n#line 17 tgmath.ph\n" . 'sub atan {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &atan,  &catan));
    }' unless defined(&atan);
    eval "\n#line 18 tgmath.ph\n" . 'sub atan2 {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &atan2));
    }' unless defined(&atan2);
    eval "\n#line 19 tgmath.ph\n" . 'sub cos {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &cos,  &ccos));
    }' unless defined(&cos);
    eval "\n#line 20 tgmath.ph\n" . 'sub sin {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &sin,  &csin));
    }' unless defined(&sin);
    eval "\n#line 21 tgmath.ph\n" . 'sub tan {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &tan,  &ctan));
    }' unless defined(&tan);
    eval "\n#line 22 tgmath.ph\n" . 'sub acosh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &acosh,  &cacosh));
    }' unless defined(&acosh);
    eval "\n#line 23 tgmath.ph\n" . 'sub asinh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &asinh,  &casinh));
    }' unless defined(&asinh);
    eval "\n#line 24 tgmath.ph\n" . 'sub atanh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &atanh,  &catanh));
    }' unless defined(&atanh);
    eval "\n#line 25 tgmath.ph\n" . 'sub cosh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &cosh,  &ccosh));
    }' unless defined(&cosh);
    eval "\n#line 26 tgmath.ph\n" . 'sub sinh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &sinh,  &csinh));
    }' unless defined(&sinh);
    eval "\n#line 27 tgmath.ph\n" . 'sub tanh {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &tanh,  &ctanh));
    }' unless defined(&tanh);
    eval "\n#line 28 tgmath.ph\n" . 'sub exp {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &exp,  &cexp));
    }' unless defined(&exp);
    eval "\n#line 29 tgmath.ph\n" . 'sub frexp {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_FIRST_REAL_ONLY ($Val1, $Val2,  &frexp));
    }' unless defined(&frexp);
    eval "\n#line 30 tgmath.ph\n" . 'sub ldexp {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_FIRST_REAL_ONLY ($Val1, $Val2,  &ldexp));
    }' unless defined(&ldexp);
    eval "\n#line 31 tgmath.ph\n" . 'sub log {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &log,  &clog));
    }' unless defined(&log);
    if(defined(&__USE_GNU)) {
	eval "\n#line 32 tgmath.ph\n" . 'sub log10 {
	    local($Val) = @_;
    	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &log10,  &__clog10));
	}' unless defined(&log10);
    } else {
	eval "\n#line 33 tgmath.ph\n" . 'sub log10 {
	    local($Val) = @_;
    	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &log10));
	}' unless defined(&log10);
    }
    eval "\n#line 34 tgmath.ph\n" . 'sub expm1 {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &expm1));
    }' unless defined(&expm1);
    eval "\n#line 35 tgmath.ph\n" . 'sub log1p {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &log1p));
    }' unless defined(&log1p);
    eval "\n#line 36 tgmath.ph\n" . 'sub logb {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &logb));
    }' unless defined(&logb);
    eval "\n#line 37 tgmath.ph\n" . 'sub exp2 {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &exp2));
    }' unless defined(&exp2);
    eval "\n#line 38 tgmath.ph\n" . 'sub log2 {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &log2));
    }' unless defined(&log2);
    eval "\n#line 39 tgmath.ph\n" . 'sub pow {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_IMAG ($Val1, $Val2,  &pow,  &cpow));
    }' unless defined(&pow);
    eval "\n#line 40 tgmath.ph\n" . 'sub sqrt {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &sqrt,  &csqrt));
    }' unless defined(&sqrt);
    eval "\n#line 41 tgmath.ph\n" . 'sub hypot {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &hypot));
    }' unless defined(&hypot);
    eval "\n#line 42 tgmath.ph\n" . 'sub cbrt {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &cbrt));
    }' unless defined(&cbrt);
    eval "\n#line 43 tgmath.ph\n" . 'sub ceil {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &ceil));
    }' unless defined(&ceil);
    eval "\n#line 44 tgmath.ph\n" . 'sub fabs {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_IMAG ($Val,  &fabs,  &cabs));
    }' unless defined(&fabs);
    eval "\n#line 45 tgmath.ph\n" . 'sub floor {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &floor));
    }' unless defined(&floor);
    eval "\n#line 46 tgmath.ph\n" . 'sub fmod {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &fmod));
    }' unless defined(&fmod);
    eval "\n#line 47 tgmath.ph\n" . 'sub nearbyint {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &nearbyint));
    }' unless defined(&nearbyint);
    eval "\n#line 48 tgmath.ph\n" . 'sub round {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &round));
    }' unless defined(&round);
    eval "\n#line 49 tgmath.ph\n" . 'sub trunc {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &trunc));
    }' unless defined(&trunc);
    eval "\n#line 50 tgmath.ph\n" . 'sub remquo {
        local($Val1, $Val2, $Val3) = @_;
	    eval q( &__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY ($Val1, $Val2, $Val3,  &remquo));
    }' unless defined(&remquo);
    eval "\n#line 51 tgmath.ph\n" . 'sub lrint {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &lrint));
    }' unless defined(&lrint);
    eval "\n#line 52 tgmath.ph\n" . 'sub llrint {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &llrint));
    }' unless defined(&llrint);
    eval "\n#line 53 tgmath.ph\n" . 'sub lround {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &lround));
    }' unless defined(&lround);
    eval "\n#line 54 tgmath.ph\n" . 'sub llround {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &llround));
    }' unless defined(&llround);
    eval "\n#line 55 tgmath.ph\n" . 'sub copysign {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &copysign));
    }' unless defined(&copysign);
    eval "\n#line 56 tgmath.ph\n" . 'sub erf {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &erf));
    }' unless defined(&erf);
    eval "\n#line 57 tgmath.ph\n" . 'sub erfc {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &erfc));
    }' unless defined(&erfc);
    eval "\n#line 58 tgmath.ph\n" . 'sub tgamma {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &tgamma));
    }' unless defined(&tgamma);
    eval "\n#line 59 tgmath.ph\n" . 'sub lgamma {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &lgamma));
    }' unless defined(&lgamma);
    eval "\n#line 60 tgmath.ph\n" . 'sub rint {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &rint));
    }' unless defined(&rint);
    eval "\n#line 61 tgmath.ph\n" . 'sub nextafter {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &nextafter));
    }' unless defined(&nextafter);
    eval "\n#line 62 tgmath.ph\n" . 'sub nexttoward {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_FIRST_REAL_ONLY ($Val1, $Val2,  &nexttoward));
    }' unless defined(&nexttoward);
    eval "\n#line 63 tgmath.ph\n" . 'sub remainder {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &remainder));
    }' unless defined(&remainder);
    if(defined (defined(&__USE_MISC) ? &__USE_MISC : 0) || defined (defined(&__USE_XOPEN_EXTENDED) ? &__USE_XOPEN_EXTENDED : 0)) {
	eval "\n#line 64 tgmath.ph\n" . 'sub scalb {
	    local($Val1, $Val2) = @_;
    	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &scalb));
	}' unless defined(&scalb);
    }
    eval "\n#line 65 tgmath.ph\n" . 'sub scalbn {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_FIRST_REAL_ONLY ($Val1, $Val2,  &scalbn));
    }' unless defined(&scalbn);
    eval "\n#line 66 tgmath.ph\n" . 'sub scalbln {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_FIRST_REAL_ONLY ($Val1, $Val2,  &scalbln));
    }' unless defined(&scalbln);
    eval "\n#line 67 tgmath.ph\n" . 'sub ilogb {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_REAL_ONLY ($Val,  &ilogb));
    }' unless defined(&ilogb);
    eval "\n#line 68 tgmath.ph\n" . 'sub fdim {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &fdim));
    }' unless defined(&fdim);
    eval "\n#line 69 tgmath.ph\n" . 'sub fmax {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &fmax));
    }' unless defined(&fmax);
    eval "\n#line 70 tgmath.ph\n" . 'sub fmin {
        local($Val1, $Val2) = @_;
	    eval q( &__TGMATH_BINARY_REAL_ONLY ($Val1, $Val2,  &fmin));
    }' unless defined(&fmin);
    eval "\n#line 71 tgmath.ph\n" . 'sub fma {
        local($Val1, $Val2, $Val3) = @_;
	    eval q( &__TGMATH_TERNARY_REAL_ONLY ($Val1, $Val2, $Val3,  &fma));
    }' unless defined(&fma);
    eval "\n#line 72 tgmath.ph\n" . 'sub carg {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_IMAG_ONLY ($Val,  &carg));
    }' unless defined(&carg);
    eval "\n#line 73 tgmath.ph\n" . 'sub conj {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_IMAG_ONLY ($Val,  &conj));
    }' unless defined(&conj);
    eval "\n#line 74 tgmath.ph\n" . 'sub cproj {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_IMAG_ONLY ($Val,  &cproj));
    }' unless defined(&cproj);
    eval "\n#line 75 tgmath.ph\n" . 'sub cimag {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_IMAG_ONLY ($Val,  &cimag));
    }' unless defined(&cimag);
    eval "\n#line 76 tgmath.ph\n" . 'sub creal {
        local($Val) = @_;
	    eval q( &__TGMATH_UNARY_IMAG_ONLY ($Val,  &creal));
    }' unless defined(&creal);
}
1;
